jQuery(document).ready(function(){
	
	
	
	// FORMCHANGED Ini
	y42bVar_EntraFunNumCheck = false;
	y42bVar_FormChanged = false;
	waitDialog();
	$(document).ajaxStop(function() {
		y42b_FunFormChanged();
		waitDialogStop();
	});
	// FORMCHANGED Fin
	
	
	
	//parte de arbol grupos (todos o actuales y edicion o alta) ------------------------
	if ($("#entidad_entidadId").val()!=0){ //edicion
		$("#y42bEntidadesDIVCheckGruposActuales").css("display", "inline"); //mostrar
		$("#y42bEntidadesCheckGruposActuales").attr("checked", true);
		$("#y42bEntidadDIVGruposActuales").css("display", "inline"); //mostrar
		$("#y42bEntidadDIVGruposTodos").css("display", "none"); //ocultar
		$("#y42bEntidadDIVContactos").css("display", "inline"); //ocultar
	}else{ //alta
		$("#y42bEntidadesDIVCheckGruposActuales").css("display", "none"); //mostrar
		$("#y42bEntidadDIVGruposActuales").css("display", "none"); //mostrar
		$("#y42bEntidadDIVGruposTodos").css("display", "inline"); //ocultar
		$("#y42bEntidadDIVContactos").css("display", "none"); //ocultar
	}
	// ----------------------------------------------------------------------------------
		
	$(".entidad_nombreEs").focus();
	
	y42bFunEntidad_PintarComboPais();
	y42bFunEntidad_PintarComboProvincia();
	y42bFunEntidad_PintarComboMunicipio();
	y42bFunEntidad_PintarComboLocalidad();
	y42bPintarComboPortalVacio();
	
	$("#y42bEntidadPiso").val($("#isCompleDirec").val());
	
	//RADIO BUTTONS Estado - Extranjero ...
	$("#y42bEntidadEstado").click(function (){
		y42bEntidad_ResetearComboPais();
		y42bEntidad_eventoClickEstado();
		y42bFunEntidad_PintarComboProvincia();
		y42bFunEntidad_PintarComboMunicipio();
		y42bFunEntidad_PintarComboLocalidad();
		y42bPintarComboPortalVacio();
		
	});
			   
	$("#y42bEntidadExtranjero").click(function (){
		y42bEntidad_ResetearComboProvincia();
		y42bEntidad_ResetearComboMunicipio();
		y42bEntidad_ResetearComboLocalidad();
		y42bEntidad_eventoClickExtranjero();
		y42bFunEntidad_PintarComboPais();
	});
	
	//obtener municipio y localidad a partir del CP
	$("#y42bEntidadBotonCP").click(function () {
		var codPostal = $("#y42bEntidadComboCP").val();
		if (codPostal!=""){
			$.ajax({
				type : "GET",
				url : "/y42bVistaWar/nora/codigo_postal/obtenerprovmun/" + codPostal + "?R01HNoPortal=true",
				dataType : "json",
				error : function(jqXHR, textStatus, errorThrown) {

				},
				success : function(data, textStatus, jqXHR) {
					$("#y42bEntidadComboProvincia").rup_combo("setRupValue",data.provinciaId);
					y42bElementosVisibles(data.provinciaId);
					$("#y42bEntidadComboMunicipio").rup_combo("setRupValue",data.municipioId);

					y42bLimpiarBusquedaCalle();
					y42bLimpiarPortal();
					
					$("#y42bEntidadCalleLupa").css("display", "inline");
					$("#y42bEntidadCallePapelera").css("display", "inline");
				}
			});
		}
	});
	
	//Lupa Calle - abre modal 
	$("#y42bEntidadCalleLupa").click(function () {
		// FORMCHANGED Ini
		y42bVar_FormChanged = true;
		// FORMCHANGED Fin
		y42bVarCalleModal = "y42bEntidad";
		$("#y42bEntidadDivCalle").rup_dialog("destroy");
		$("#y42bEntidadDivCalle").rup_dialog({
			modal: true,
			autoOpen: true,
			width: "850",
			height: "auto",
			position: "top",
			title: $.rup.i18n.app.y42bTitlesModalesNora.busquedaCalle,
			close: function(event, ui) {
				$("#y42bEntidadDivCalle").rup_dialog("destroy");
			},
			url: "/y42bVistaWar/nora/maintBusquedaCalle",  
			type:$.rup.dialog.AJAX
		});		
	});
	
	//papelera
	$("#y42bEntidadCallePapelera").click(function () {
		y42bLimpiarBusquedaCalle();
		y42bVar_FormChanged = true;
	});	
	
	y42bEntidades_FunctionCargarComboTipoOrganismo($("#tipoOrganismoId").val());
	y42bEntidades_FunctionCargarComboAmbitoGeografico($("#ambitoGeograficoId").val());
	y42bAltaEntidadOK = false;
	
	var $tabs = $('#mantenimiento_tabs').tabs();
	$tabs.tabs('enable', 1);
	$tabs.tabs('select', 1); 
	$tabs.tabs('disable', 0);
	$tabs.tabs('disable', 2);

	var props={
			type:"ok",
			delay:800,
			goTop:false,
			block:false,
			closeLink:true
			
	};
	
	$("#paisId").val($("#entidad_paisId").val());
	$("#nombrePais").val( $('#entidad_paisId option:selected').html());
	
	if(y42bNuevaEntidad == true){
		$("#y42bEntidadEstado").attr("checked" , true);
		$("#y42bEntidadExtranjero").attr("checked" , false);
		$("#e_isnacional").val()=="S";
		y42bEntidad_eventoClickEstado();
		y42bElementosVisibles("");	
		y42bNuevaEntidad = false;		
	}else{
		if ($("#isForeigner").val()=="S" && $("#countryId").val()!="108"){
			$("#y42bEntidadEstado").attr("checked" , false);
			$("#y42bEntidadExtranjero").attr("checked" , true);
			y42bEntidad_eventoClickExtranjero();
			$("#y42bEntidadExtComboCP").val($("#isCP").val());
			if ($("#countryId").val()!="" && $("#countryId").val()!=null){
				$("#y42bEntidadComboPais").rup_combo("setRupValue",$("#countryId").val());
			}else{
				$("#y42bEntidadComboPais").rup_combo("select", "");
			}	
			if ($("#isDirExt").val()!="" && $("#isDirExt").val()!=null){
				$("#y42bEntidadDireccionExtranjero").val($("#isDirExt").val());
			}else{
				$("#y42bEntidadDireccionExtranjero").val("");
			}
		}else{
			$("#y42bEntidadEstado").attr("checked" , true);
			$("#y42bEntidadExtranjero").attr("checked" , false);
			y42bEntidad_eventoClickEstado();	
			y42bElementosVisibles($("#provinceId").val());
			$("#y42bEntidadComboCP").val($("#isCP").val());
			if ($("#provinceId").val()!="" && $("#provinceId").val()!=null){
				$("#y42bEntidadComboProvincia").rup_combo("setRupValue",$("#provinceId").val());
			}else{
				$("#y42bEntidadComboProvincia").rup_combo("select", "");
			}
			if ($("#municipalityId").val()!="" && $("#municipalityId").val()!=null){
				$("#y42bEntidadComboMunicipio").rup_combo("setRupValue",$("#municipalityId").val());
			}else{
				$("#y42bEntidadComboMunicipio").rup_combo("select", "");
			}
			if ($("localityId").val()!="" && $("#localityId").val()!=null){
				$("#y42bEntidadComboLocalidad").rup_combo("setRupValue",$("#localityId").val());
			}else{
				$("#y42bEntidadComboLocalidad").rup_combo("select", "");
			}
			if ($("#isDirExt").val()=="" || $("#isDirExt").val()==null ){
				$("#y42bEntidadDireccion").val("");
				$("#y42bEntidadCalleCod").val("");
				$("#y42bEntidadCalleIdName").val("");
				y42bPintarComboPortalVacio();
				
			}else{
				$("#y42bEntidadDireccion").val($("#isDirExt").val());
				$("#y42bEntidadCalleCod").val($("#addressId").val());
				$("#y42bEntidadCalleIdName").val($("#isDirExt").val());
				y42bFuncCargarComboPortalCon($("localityId").val() ,$("#addressId").val());
				
				if ($("#isPortalId").val()!="" && $("#isPortalId").val()!=null){
					$("#y42bEntidadComboPortal").rup_combo("setRupValue",$("#isPortalId").val());
					$("#nombrePortal").val($("#isPortal").val());
				}else{
					$("#y42bEntidadComboPortal").rup_combo("setRupValue","");
					$("#nombrePortal").val("");
				}
			}
		}
	}	

	$("#entidades_avisos").rup_feedback(props);
		
	$("#bt_guardar_prueba").click(function () {
		$("#entidades_avisos").rup_feedback("option", "delay",null);
		$("#entidades_avisos").rup_feedback("set","Esto es una prueba", "error");
	});	
	
	$("#bt_guardar_entidad").click(function () {
		

		
		var resultado = false;
		var arrMensajes = new Array();
		var contador = 0;
		
		//Copiar valores

		$("#tipoOrganismo").val($("#y42bEntidades_ComboTipoOrganismo").val());
		$("#ambitoGeografico").val($("#y42bEntidades_ComboAmbitoGeografico").val());
		$("#cif").val($("#y42bEntidades_Cif").val());
		
		$("#grupoId").val($("#entidad_grupoId").val());
		$("#entidadId").val($("#entidad_entidadId").val());
		$("#e_nombreEs").val(htmlEncode($("#entidad_nombreEs").val()));
		$("#e_nombreEu").val(htmlEncode($("#entidad_nombreEu").val()));
		
		if ($("#e_nombreEs").val()==""){
			arrMensajes[contador] = $.rup.i18n.app.msg.descentidades_obligatoria;
			contador = contador +1;
		}
		if ($("#e_nombreEu").val()==""){
			arrMensajes[contador] = $.rup.i18n.app.msg.descentidadeu_obligatoria;
			contador = contador +1;
		}
		
		if ($('input[name=kontsumoGest]').is(':checked')){
			$("#iskontsumogest").val("S");
		}else{
			$("#iskontsumogest").val("N");
		}
		
		if ($('input[name=kontsumoNet]').is(':checked')){
			$("#iskontsumonet").val("S");
		}else{
			$("#iskontsumonet").val("N");
		}
		
		if ($('input[name=formativa]').is(':checked')){
			$("#isofertaform").val("S");
		}else{
			$("#isofertaform").val("N");
		}
		
		if ($('input[name=consultaWeb]').is(':checked')){
			$("#isconsultasweb").val("S");
		}else{
			$("#isconsultasweb").val("N");
		}
		
		$("#observaciones").val($("#entidad_observaciones").val());
		$("#telefono").val($("#entidad_telefono").val());
		$("#fax").val($("#entidad_fax").val());
		$("#email").val($("#entidad_email").val());
		$("#url").val($("#entidad_url").val());
		$("#usuario").val($("#entidad_usuario").val());
		$("#password").val($("#entidad_password").val());
		$("#codOrg").val($("#entidad_codOrg").val());
		
		//UNA U OTRA --- COMPLETAR
		if ($("#y42bEntidadExtranjero").attr("checked")=="checked"){
			//Internacional
			$("#e_isnacional").val("N");
			$("#noraPaisId").val($("#y42bEntidadComboPais").val());
			$("#nombrePais").val( $('#y42bEntidadComboPais option:selected').html());
			$("#nombreLocalidad").val("");			
			$("#noraCalleId").val("");
			$("#nombreCalle").val($("#y42bEntidadDireccionExtranjero").val());
			$("#noraProvinciaId").val("");	
			$("#nombreProvincia").val("");			
			$("#noraMunicipioId").val("");
			$("#nombreMunicipio").val("");		
			$("#noraLocalidadId").val("");
			$("#nombrePortal").val("");
			$("#noraPortalId").val("");			
			$("#nombreCp").val($("#y42bEntidadExtComboCP").val());			
			$("#noraCpId").val($("#y42bEntidadExtComboCP").val());
		}else{
			//Nacional o CAPV
			$("#e_isnacional").val("S");
			$("#noraPaisId").val($("#y42bEntidadComboPais").val());
			$("#nombrePais").val( $('#y42bEntidadComboPais option:selected').html());
			$("#noraProvinciaId").val($("#y42bEntidadComboProvincia").val());
			$("#nombreProvincia").val( $('#y42bEntidadComboProvincia option:selected').html());
			$("#noraMunicipioId").val($("#y42bEntidadComboMunicipio").val());
			$("#nombreMunicipio").val( $('#y42bEntidadComboMunicipio option:selected').html());
			

			
			if ($("#y42bEntidadComboLocalidad").val()==""){
				$("#noraLocalidadId").val("");
				$("#nombreLocalidad").val("");
			}else{
				$("#noraLocalidadId").val($("#y42bEntidadComboLocalidad").val());
				$("#nombreLocalidad").val( $('#y42bEntidadComboLocalidad option:selected').html());
			}
			
			
			if($("#y42bEntidadComboProvincia").val() == "20" || $("#y42bEntidadComboProvincia").val() == "48" || $("#y42bEntidadComboProvincia").val() == "01"){
				$("#noraCalleId").val($("#y42bEntidadCalleCod").val());
				$("#nombreCalle").val($("#y42bEntidadCalleIdName").val());
				$("#noraPortalId").val($("#y42bEntidadComboPortal").val());
				if($("#y42bEntidadComboPortal").val() != ""){
					$("#nombrePortal").val($("#y42bEntidadComboPortal option:selected").html());
				}else{
					$("#nombrePortal").val("");
				}
				$("#compleDirec").val($("#y42bEntidadPiso").val());
			}else{
				$("#nombreCalle").val($("#y42bEntidadDireccion").val());
			}

			/* Se usa el id del autocomplete generado por uda */
			$("#nombreCp").val($("#y42bEntidadComboCP").val());			
			/* Se usa el id del autocomplete generado por uda */
			$("#noraCpId").val($("#y42bEntidadComboCP").val());
		}
		
		$("#e_activa").val($("input[name='activa']:checked").val());

		if ($("#e_isnacional").val()=="S"){
			if ($("#y42bEntidadComboProvincia").val()=="" || $("#y42bEntidadComboProvincia").val()==null || $("#y42bEntidadComboProvincia").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.noraprovincia_obligatorio;
				contador = contador +1;
			}
			if ($("#y42bEntidadComboMunicipio").val()=="" || $("#y42bEntidadComboMunicipio").val()==null || $("#y42bEntidadComboMunicipio").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.noramunicipio_obligatorio;
				contador = contador +1;
			}
			
			if($("#y42bEntidadComboProvincia").val() == "20" || $("#y42bEntidadComboProvincia").val() == "48" || $("#y42bEntidadComboProvincia").val() == "01"){
			
				if ($("#y42bEntidadCalleIdName").val() ==""){
					arrMensajes[contador] = $.rup.i18n.app.msg.requiredCalle;
					contador = contador +1;
				}
			}
		}else{
			if ($("#y42bEntidadComboPais").val()=="" || $("#y42bEntidadComboPais").val()==null || $("#y42bEntidadComboPais").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.norapais_obligatorio;
				contador = contador +1;
			}
			if ( $("#y42bEntidadDireccionExtranjero").val() ==""){
				arrMensajes[contador] = $.rup.i18n.app.msg.requiredDireccion;
				contador = contador +1;
			}
		}

		
		if ( $("#entidad_grupos").val() ==""){
//			arrMensajes[contador] = $.rup.i18n.app.msg.requiredGrupo;
//			contador = contador +1;
			$("#entidad_grupos").val("ROOT");
		}
		
		
		var content = form2object("editarEntidadForm", ".", false);
		var bValidarDatos=validateBean("Entidad", content, "", "entidades_avisos", arrMensajes);
		
		content.listaGruposIds =  $("#entidad_grupos").val();
		content.listaEtiquetasIds =  $("#entidades_etiquetasIdList").val();

		
		if (bValidarDatos){
			if ($("#entidad_entidadId").val()==0){
				
	 	 		$.ajax({
					type : 'POST',
					url : "../entidad/alta", //+ $("#entidad_grupos").val()+ "/"+ $("#entidades_etiquetasIdList").val(),
					dataType : "json",
					data : $.toJSON(content),
					contentType : 'application/json',
					error: function (jqXHR, textStatus, errorThrown){
						switch(jqXHR.status){
						case 406:
							$("#entidades_avisos").rup_feedback("option", "delay",null);
							$("#entidades_avisos").rup_feedback("set",jqXHR.responseText, "error");
							break;
						case 409:
							controlY42bUDAException(jqXHR, "entidades_avisos");
							break;
						default:
							$("#entidades_avisos").rup_feedback("option", "delay",null);
							$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
							break;
						}
					},
					success : function(dataP) {
						
						$("#y42bEntidadDIVGruposActuales").css("display", "inline"); //mostrar
						$("#y42bEntidadDIVGruposTodos").css("display", "none"); //ocultar
						y42bPintarArbolDetalle();
						
						
						$("#entidades_avisos").rup_feedback("option", "delay",800);
						$("#entidades_avisos").rup_feedback("set", "ok", "ok");
						
						//actualizar nuevo nodo en sesion (id = grupo + entidad creada)
						var minode = $("#tree_ajaxlive").dynatree("getActiveNode");
						var minodeGrupoKey = minode.data.key;
						var minodeKey = minodeGrupoKey + "#E_" +dataP.entidadId;
						
						y42bAltaEntidadOK  = true;
						
						// si se crea en el raiz (no activa por defecto) redirigir al no raiz
						if (minodeGrupoKey=="G_ROOT"){
							if (!($("#chkShowEntidadesNoActivas1").attr("checked")=="checked")){
								minodeKey = minodeGrupoKey;
							}
						}							
						var y42bVarMinodekey = minodeKey;	
						//Recargar mantenimiento
						if (guardarEstadoApp(minodeKey)){
							location.href = "/y42bVistaWar/mant/vista?idBusqueda="+minodeKey;	
						}
					}
				});
			} else{
				
				$.ajax({
					type : 'PUT',
//					url : "../entidad",
					url : "../entidad/edicion",// + $("#entidad_grupos").val()+ "/"+ $("#entidades_etiquetasIdList").val(),
					dataType : "json",
					data : $.toJSON(content),
					contentType : 'application/json',
					error: function (jqXHR, textStatus, errorThrown){
						switch(jqXHR.status){
						case 406:
							$("#entidades_avisos").rup_feedback("option", "delay",null);
							$("#entidades_avisos").rup_feedback("set",jqXHR.responseText, "error");
							break;
						case 409:
							controlY42bUDAException(jqXHR, "entidades_avisos");
							break;
						default:
							$("#entidades_avisos").rup_feedback("option", "delay",null);
							$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
							break;
						}
					},
					success : function(dataP) {
						
							$("#entidades_avisos").rup_feedback("option", "delay",800);
							$("#entidades_avisos").rup_feedback("set", "ok", "ok");
							
							
							if (y42bVarNodoDeArbolClickado){
							
								y42bVarNodoDeArbolClickado = false;

								//actualizar nuevo nodo en sesion (id = grupo + entidad creada)
								var minode = $("#tree_ajaxlive").dynatree("getActiveNode");
								var minodeGrupoKey = minode.data.key;
								var minodeKey = minodeGrupoKey + "#E_" +dataP.entidadId;
								
								y42bAltaEntidadOK  = true;
								
								//si es no activa y no se estan visualizando ... a su padre
								if (!($("#chkShowEntidadesNoActivas1").attr("checked")=="checked")&& dataP.activa=="N" ){
									minodeKey = minodeGrupoKey;
								}
								
								var y42bVarMinodekey = minodeKey;
								//Recargar mantenimiento
								if (guardarEstadoApp(minodeKey)){
									location.href = "/y42bVistaWar/mant/vista?idBusqueda="+minodeKey;	
								}							
							}
					}
				});
			} 
		}
	});
	
	$("#bt_cancelar_entidad").click(function () {
//		var entidadId = $("#entidad_entidadId").val();
//		if(entidadId == "" || entidadId== null || entidadId == 0){
//	    	loadGrupoSession();
//		} else {
//			var url="/y42bVistaWar/entidad/old_/" + entidadId;
//			$('#tab_entidad').load(url);
//		}
		
		

		
		
		// FORMCHANGED Ini
		if (y42bVar_FormChanged) {
			$.rup_messages("msgConfirm",{
				 title:$.rup.i18n.app.comun.confirmacion,
				 message: $.rup.i18n.app.comun.confirmacionperdidadatos,
				 OKFunction : function () {
					loadGrupoSession();
				 }
			}); 
		}else {
			loadGrupoSession();
		}
		// FORMCHANGED Fin
		
		
		
		
		
		
		
	});
	
	
	$("#bt_nuevo_contacto").click(function () {
		y42bNuevoContacto = true;
		var entidadId = $('#entidad_entidadId').val();
		var url="/y42bVistaWar/contactos/nuevo?entidadId=" + entidadId;
		$('#tab_entidad').empty();
		$('#tab_contacto').load(url);
	});
	
	

	
	//botones contraer y expandir arbol 
	$("#y42bgroup_tree_expandir").click(function () {
		$("#group_tree").dynatree("getRoot").visit(function(node){
			 node.expand(true);
		});
		return false;
	}); 

	$("#y42bgroup_tree_contraer").click(function () {
		$("#group_tree").dynatree("getRoot").visit(function(node){
			 node.expand(false);
		});
		return false;
	}); 
	
	

	
	$("#lista_etiquetas").dynatree({
		initAjax: {
			url: "../etiquetas/lista_selec",
			data: {key: "root", // Optional arguments to append to the url
					mode: "all"
				  }
		},
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: true, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			
			$("#entidades_etiquetasIdList").val(keyList);
		},
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "group_list_dynatree",
		idPrefix: "group_list_dynatree"
	});
	//FIXME Migracion UDA V.2.4.4 (201504) - Se anyade condicion para ver si es alta o no
	var entidad_id=$("#entidad_entidadId").val();
	if(entidad_id!="0"){
		//Solo crea el grid si entidadId tiene valor
	    var contact_gridWidth = $("#tab_entidad").width() - 8;
		$("#contact_grid").rup_grid({
			width: contact_gridWidth,
			url:"../entidad/contactGrid",
			pagerName: "contact_pager",
			rowNum: "5",
			postData:{entidadId:$("#entidad_entidadId").val()},
			sortorder: "asc",
			sortname: "nombre",
			hidegrid: true,
			colNames:[
				$.rup.i18n.app.contact_grid.id,
				$.rup.i18n.app.contact_grid.nombre,
				$.rup.i18n.app.contact_grid.cargo,
				$.rup.i18n.app.contact_grid.telefono,
				$.rup.i18n.app.contact_grid.email
			],
			colModel:[
				{
					name: "contactoId",
					index: "contactoId",
					hidden: true
				},
				{
					name: "nombre",
					index: "nombre",
					width: funcPercentage(30,contact_gridWidth)
				},
				{
					name: "cargo",
					index: "cargo",
					width: funcPercentage(20,contact_gridWidth), 
					align: "center"
				},
				{
					name: "telefono",
					index: "telefono",
					width: funcPercentage(20,contact_gridWidth),
					align: "right"
				},
				{
					name: "email",
					index: "email",
					width: funcPercentage(30,contact_gridWidth),
					align: "center",
					formatter: y42bTablaContactosEmailFormateadorLink
				}
			],
			onSelectRow : function(id, selectR) {
				var row = $("#contact_grid").rup_grid("getRowData", id);
				if (row.contactoId!=undefined){
					var url="/y42bVistaWar/contactos/"+row.contactoId;
					//FIXME Migracion UDA V.2.4.4 (201504) - Se comenta el "tab_entidad" para que no de un error.
					//$('#tab_entidad').html("");
					$('#tab_contacto').load(url);
				}
			}
		});
	}
	
	
	
	
	
	if (y42bEntidades_UsuarioTipoAcceso != $("#y42bEntidades_CteTipoAcceso_Administrador").val()){
		 y42bEntidadesSoloConsulta();
		 if (y42bEntidades_UsuarioTipoAcceso != $("#y42bEntidades_CteTipoAcceso_Modificacion").val()){
			 y42bEntidadesSoloConsultaEstricto(); 
		 }
	}else{
		y42bVar_BoolChecks = true;
	}
	
	
	y42bPintarArbolTodos();
	y42bPintarArbolDetalle();

	
}); //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//Al clicar en desactivar entidad
$("#bt_eliminar_entidad").click(function () {
	$.rup_messages("msgConfirm",{
		   title:$.rup.i18n.app.msg.confirmacion,
		   message: $.rup.i18n.app.msg.confirmaciondesactivEnt,
		   OKFunction : function () {
			var tree = $("#tree_ajaxlive").dynatree("getTree");
			var nodeActive = tree.getActiveNode();
			var nodeParent=nodeActive.getParent();
			var nodeParentId=nodeParent.data.key;
			var entidadId = $("#entidad_entidadId").val();
			eliminarEntidad(entidadId,nodeActive,nodeParent);
			}
	});	
});

function eliminarEntidad(entidadId,nodeActive,nodeParent){
	$.ajax({
	    type: "DELETE",
	    url: "/y42bVistaWar/entidad/" + entidadId,
	    error: function (jqXHR, textStatus, errorThrown){
	    	switch(jqXHR.status){
			
			case 406:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorEntidadesTieneHijos, "error");
				break;
			default:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				break;
			}
		},
		success : function(data) {
			y42bReloadArbolEntidades();
			nodeParent.activate();
		}
	});
}

function loadGrupoSession(){
	var url="/y42bVistaWar/grupos/mant?nodeId=G_ROOT";
	$('#tab_entidad').html("");
	$('#tab_grupo').load(url);
	var $tabs = $('#mantenimiento_tabs').tabs();
	$tabs.tabs('enable', 0);
	$tabs.tabs('select', 0); 
	$tabs.tabs('disable', 1);
	$tabs.tabs('disable', 2);
}

function showEtiquetas(params){

	//alert($("#entidades_etiquetasIdList").val());
	y42bVar_EtiquetasEntidad=true;
	y42bVar_FormChanged = true;
	$("#capaEtiquetas").rup_dialog("destroy");
	$("#capaEtiquetas").rup_dialog({
		width: "600",
		modal: true,
		resizable: false,
		url: "/y42bVistaWar/etiqueta/vista" + params + "&etiquetasIdList="+$("#entidades_etiquetasIdList").val(),
		type:$.rup.dialog.AJAX,
		autoOpen: true,
		close:function(event, ui){
//			url="/y42bVistaWar/etiqueta/maint";
//			$('#tab_etiqueta').load(url);
			
		}
	});
}

function showMantenimientoEtiquetas(params){

	y42bVar_EtiquetasEntidad=true;
	$("#capaEtiquetas").rup_dialog("destroy");
	$("#capaEtiquetas").rup_dialog({
		width: "900",
		height: "500",
		resizable: false,
		modal: true,
		url: "/y42bVistaWar/etiqueta/maint",
		type:$.rup.dialog.AJAX,
		autoOpen: true
	});
}

function saveNodeGrupos(flag, node){
		var urlSELECT="";
		var keyGrupo=node.data.key;
		var entidad_id=$("#entidad_entidadId").val();
		if (flag){
			urlSELECT = "/y42bVistaWar/grupos/bindGrupoEntidad";
		}else{
			urlSELECT = "/y42bVistaWar/grupos/unbindGrupoEntidad";
		}
		var dataParam="grupoId=" + keyGrupo + "&entidadId=" + entidad_id;
		$.ajax({
			type : 'POST',
			url : urlSELECT,
			data: dataParam,
			success : function(data, textStatus, jqXHR) {
			}
		});
}		

function y42bTablaContactosEmailFormateadorLink(cellvalue, options, rowObject) {
	if (null!=cellvalue){
		return "<a href='#' onClick='y42bTablaContactosFunMailTo("+ options.rowId  +");'>" + cellvalue + "</a>";
	}else{
		return "";
	}
}

function y42bTablaContactosFunMailTo(rowid){
	var fila = $("#contact_grid").rup_grid("getRowData", rowid);
	var email = y42bEliminarHref(fila.email);
		
	if (null!=email){
		var mailto_link = "mailto:"+ email;
		window.location.href = mailto_link;
	}
}

function y42bFunEntidadesPincharEmail(){ 
	 var email = $("#entidad_email").val();
	 email = email.toLowerCase();
	 if (email ==""){
		 	$("#entidades_avisos").rup_feedback("option", "delay",null);
			$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.emailVacio, "warning");
	 }else{
		 var emailCorrecto = y42bValidarEmail(email); 
		 if (emailCorrecto){
			 var mailto_link = "mailto:"+ email;
			 window.location.href = mailto_link;
		 }else{
			 	$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.emailInvalido, "warning");
		 }
	 }
}

function y42bFunEntidadesPincharUrl(){
	 var url = $("#entidad_url").val();
	 if (url ==""){
		 	$("#entidades_avisos").rup_feedback("option", "delay",null);
			$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.urlVacia, "warning");
	 }else{
		 var urlCorrecta = y42bValidarURL(url); 
		 if (urlCorrecta){
			 y42bAbrirVentana(url);
		 }else{
			 	$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.urlInvalida, "warning");
		 }
	 }
}

function y42bReloadArbolEntidades(){
	$("#tree_ajaxlive").remove();
	$('<div id="tree_contenedor"><div id="tree_ajaxlive"></div></div>').replaceAll("#tree_contenedor");
	var urlTree="/y42bVistaWar/arbol/ajaxTree?mostrarNoActivas=0";
	loadTreeUtilidades(urlTree);
}

//Tipo Organismo
function y42bEntidades_FunctionPintarComboTipoOrganismo(){
	$("#y42bEntidades_ComboTipoOrganismo-button").remove();
	$("#y42bEntidades_ComboTipoOrganismo-menu").remove();
	$('<select id="y42bEntidades_ComboTipoOrganismo" name="tipoOrganismo"></select>').replaceAll("#y42bEntidades_ComboTipoOrganismo");
	$("#y42bEntidades_ComboTipoOrganismo").rup_combo({
		blank : "",
		width:"365",
		source : "/y42bVistaWar/tipoorganismo?R01HNoPortal=true",
		sourceParam : {
			label : "tornombre"  + recuperarLetraIdioma(),
			value : "torcodigo"
		}
	});		
}

function y42bEntidades_FunctionCargarComboTipoOrganismo(torcodigo){
	y42bEntidades_FunctionPintarComboTipoOrganismo();
	if (torcodigo!=null){
		$("#y42bEntidades_ComboTipoOrganismo").rup_combo("setRupValue",torcodigo);
	}else{
		$("#y42bEntidades_ComboTipoOrganismo").rup_combo("select","");
	}
}

//Ambito Geografico
function y42bEntidades_FunctionPintarComboAmbitoGeografico(){
	$("#y42bEntidades_ComboAmbitoGeografico-button").remove();
	$("#y42bEntidades_ComboAmbitoGeografico-menu").remove();
	$('<select id="y42bEntidades_ComboAmbitoGeografico" name="ambitoGeografico"></select>').replaceAll("#y42bEntidades_ComboAmbitoGeografico");
	$("#y42bEntidades_ComboAmbitoGeografico").rup_combo({
		blank : "",
		width:"365",
		source : "/y42bVistaWar/ambitogeografico?R01HNoPortal=true",
		sourceParam : {
			label : "tagnombre"  + recuperarLetraIdioma(),
			value : "tagcodigo"
		}
	});		
}

function y42bEntidades_FunctionCargarComboAmbitoGeografico(tagcodigo){
	y42bEntidades_FunctionPintarComboAmbitoGeografico();
	if (tagcodigo!=null){
		$("#y42bEntidades_ComboAmbitoGeografico").rup_combo("setRupValue",tagcodigo);
	}else{
		$("#y42bEntidades_ComboAmbitoGeografico").rup_combo("select","");
	}
}

//Generar codOrg para el alta entidad
function generateCodOrg(){
	if (generateCodOrg_FunValidarCampos()){
		$("#org_tipoOrganismo").val($("#y42bEntidades_ComboTipoOrganismo").val());
		$("#org_ambitoGeografico").val($("#y42bEntidades_ComboAmbitoGeografico").val());
		//si es extranjero 99 y provincia "", si nacional 108 y provincia la del combo
		if ($("#y42bEntidadExtranjero").attr("checked")=="checked"){
			$("#org_pais").val("99");
			$("#org_noraProvinciaId").val("");
		}else{
			$("#org_pais").val("");
			$("#org_noraProvinciaId").val($("#y42bEntidadComboProvincia").val());
		}
		var query =  $("#y42bEntidades_GenerateCodOrg_Form").serialize();
		
		$.ajax({
			type : "GET",
			url : "/y42bVistaWar/entidad/generateCodOrg?"+ query ,
			dataType : "json",
			error : function(jqXHR, textStatus, errorThrown) {
				$("#entidades_avisos").rup_feedback("option", "delay", null);
				$("#entidades_avisos").rup_feedback("set", textStatus + ": error", "error");
			},
			success : function(data) {
				$("#entidad_codOrg").val(data);
			}
		});
	}
}

function generateCodOrg_FunValidarCampos(){
	var txtFeedback = "";
	var validoCampo1 = false;
	var validoCampo2 = false;
	var validoCampo3 = true;

	if ($("#y42bEntidades_ComboTipoOrganismo").val()==""){
		txtFeedback += "<li>"+ $.rup.i18n.app.msg.errorTipoOrganismo +"</li>\n";
		validoCampo1 = false;
	}else{
		validoCampo1 = true;
	}
	if ($("#y42bEntidades_ComboAmbitoGeografico").val()==""){
		txtFeedback += "<li>"+ $.rup.i18n.app.msg.errorAmbitoGeografico +"</li>\n";
		validoCampo2 = false;
	}else{
		validoCampo2 = true;
	}
	//si es estado provincia obligatoria
	if ($("#y42bEntidadEstado").attr("checked")=="checked"){
		if ($("#y42bEntidadComboProvincia").val()=="" || $("#y42bEntidadComboProvincia").val()==0){
			txtFeedback += "<li>"+ $.rup.i18n.app.msg.noraprovincia_obligatorio +"</li>\n";
			validoCampo3 = false;
		}else{
			validoCampo3 = true;
		}
	}
	if (validoCampo1 && validoCampo2 && validoCampo3 ){
		return true;
	}else{
		$("#entidades_avisos").rup_feedback("option", "delay",null);
		$("#entidades_avisos").rup_feedback("set","<ul>" + txtFeedback + "</ul>", "error");
		return false;
	}
}

function y42bEntidades_FunctionPintarComboProvinciasResto(){
	
	$("#entidad_comboProvinciasResto-button").remove();
	$("#entidad_comboProvinciasResto-menu").remove();
	$('<select id="entidad_comboProvinciasResto" name="provinciasRestoId"></select>').replaceAll("#entidad_comboProvinciasResto");
	$("#entidad_comboProvinciasResto").rup_combo({
		source: "/y42bVistaWar/nora/provinciasResto",
		width:"250",
		maxHeight: "100",
		style: "popup",
		blank:"0",
		sourceParam: {label: "dsO", value : "id", style : "y42bCombos"}
	});
}

function y42bEntidades_FunctionCargarComboProvinciasResto(idProv){
	y42bEntidades_FunctionPintarComboProvinciasResto();
	if (idProv!=null){
		$("#entidad_comboProvinciasResto").rup_combo("setRupValue",idProv);
	}else{
		$("#entidad_comboProvinciasResto").rup_combo("select","");
	}
}

//-----------------------------------------------------------------------------------------------------------------------------------------------//
//---- NORA NEW ---------------------------------------------------------------------------------------------------------------------------------//
//-----------------------------------------------------------------------------------------------------------------------------------------------//

function y42bEntidad_eventoClickEstado(){
	$("#y42bEntidadExtranjeroNo").show();//css("display", "block");
	$("#y42bEntidadExtranjeroSi").hide();//css("display", "none");
}

function y42bEntidad_eventoClickExtranjero(){
	$("#y42bEntidadExtranjeroNo").hide();//css("display", "none");
	$("#y42bEntidadExtranjeroSi").show();//.css("display", "block");
}

/* COMBO PAIS ------------------------------------------------------------------- */
function y42bEntidad_ResetearComboPais(){
	$("#y42bEntidadComboPais-button").remove();
	$("#y42bEntidadComboPais-menu").remove();
	$('<select class="rup-combo" id="y42bEntidadComboPais" name="entnoraPaisId"></select>').replaceAll("#y42bEntidadComboPais");
}
	
function y42bFunEntidad_PintarComboPais(){
	y42bEntidad_ResetearComboPais();
	$("#y42bEntidadComboPais").rup_combo({
		blank : "",
		width:"300",
		source : "/y42bVistaWar/nora/paisesExtranjeros",
		sourceParam : {
			label : "dsO",
			value : "id"
		}
	});	
}

/* Combo provincia NORA */
function y42bEntidad_ResetearComboProvincia(){
	$("#y42bEntidadComboProvincia-button").remove();
	$("#y42bEntidadComboProvincia-menu").remove();
	$('<select class="rup-combo" id="y42bEntidadComboProvincia" name="provinciaId"></select>').replaceAll("#y42bEntidadComboProvincia");
}

function y42bFunEntidad_PintarComboProvincia(){
	y42bEntidad_ResetearComboProvincia();
	$("#y42bEntidadComboProvincia").rup_combo({
		source : "/y42bVistaWar/nora/provinciasTodas",
		blank : "",
		sourceParam : {	label : "dsO", value : "id"	},
		width:"250",
		select:function(){
			y42bLimpiarNoraCP();
			y42bLimpiarNoraMunLoc();
			y42bLimpiarBusquedaCalle();
			y42bLimpiarComplemento();
			$("#noraProvinciaId").val($("#y42bEntidadComboProvincia").val());
			$("#nombreProvincia").val( $('#y42bEntidadComboProvincia option:selected').html());
			y42bCodigoProvincia = $("#y42bEntidadComboProvincia").val();
			y42bElementosVisibles(y42bCodigoProvincia);
		}	
	});	
}

/* Combo municipio NORA */
function y42bEntidad_ResetearComboMunicipio(){
	$("#y42bEntidadComboMunicipio-button").remove();
	$("#y42bEntidadComboMunicipio-menu").remove();
	$('<select class="rup-combo" id="y42bEntidadComboMunicipio" name="municipioId"></select>').replaceAll("#y42bEntidadComboMunicipio");
}

function y42bFunEntidad_PintarComboMunicipio(){
	y42bEntidad_ResetearComboMunicipio();
	$("#y42bEntidadComboMunicipio").rup_combo({
		parent: [ "y42bEntidadComboProvincia" ],
		source : "/y42bVistaWar/nora/municipios",
		blank : "",
		sourceParam : {	label : "dsO", value : "id"	},
		width:"250",
		select:function(){
			y42bLimpiarNoraCP();
			y42bLimpiarNoraLocalidad();
			y42bLimpiarBusquedaCalle();
			$("#noraMunicipioId").val($("#y42bEntidadComboMunicipio").val());
			$("#nombreMunicipio").val( $('#y42bEntidadComboMunicipio option:selected').html());
			y42bCodigoProvincia = $("#y42bEntidadComboProvincia").val();
			y42bElementosVisibles(y42bCodigoProvincia);
		}
	});
}
/* Combo localidad NORA */
function y42bEntidad_ResetearComboLocalidad(){
	$("#y42bEntidadComboLocalidad-button").remove();
	$("#y42bEntidadComboLocalidad-menu").remove();
	$('<select class="rup-combo" id="y42bEntidadComboLocalidad" name="localidadId"></select>').replaceAll("#y42bEntidadComboLocalidad");
}

function y42bFunEntidad_PintarComboLocalidad(){
	y42bEntidad_ResetearComboLocalidad();
	$("#y42bEntidadComboLocalidad").rup_combo({
		parent: [ "y42bEntidadComboProvincia", "y42bEntidadComboMunicipio" ],
		source : "/y42bVistaWar/nora/localidades",
		blank : "",
		width:"250",
		sourceParam : {	label : "dsO", value : "id"	},
		select:function(){
			$("#noraLocalidadId").val($("#y42bEntidadComboLocalidad").val());
			$("#nombreLocalidad").val( $('#y42bEntidadComboLocalidad option:selected').html());
		}
	});
}

//funciones limpiar /////////////////////////////////// 
function y42bLimpiarNoraCP(){
	$("#y42bEntidadComboCP").val("");
}

function y42bLimpiarNoraMunLoc(){
	y42bLimpiarNoraMunicipio();
	y42bLimpiarNoraLocalidad();
}

function y42bLimpiarNoraMunicipio(){
	$("#y42bEntidadComboMunicipio").rup_combo("setRupValue","");
}

function y42bLimpiarNoraLocalidad(){
	$("#y42bEntidadComboLocalidad").rup_combo("setRupValue","");
}

function y42bLimpiarBusquedaCalle(){
	//alert("limpio calle");
	$("#y42bEntidadCalleCod").val("");
	$("#y42bEntidadCalleIdName").val("");
	y42bLimpiarPortal();
	y42bLimpiarComplemento();
}

function y42bLimpiarComplemento(){
	$("#y42bEntidadPiso").val("");
}
function y42bLimpiarPortal(){
	y42bResetearComboPortal();
	y42bPintarComboPortalVacio();
}

/* ****************************************************************************************************
* Funcion que recoge la informacio de la modal de busqueda de calles y la pasa a la pantalla llamante
* ****************************************************************************************************
*/	
function y42bFunctionBusquedaCalleModalAPadreEntidad(id,dsO,tipoViaId){
	$("#y42bEntidadCalleCod").val(id);
	$("#y42bEntidadCalleIdName").val(tipoViaId+" "+dsO);
	$("#y42bEntidadDivCalle").rup_dialog("close");
	y42bFuncCargarComboPortalCon($("#y42bEntidadComboLocalidad").val(),id);
}

//Elementos visibles de nora estado, si CAPV o no CAPV
function y42bElementosVisibles(codigoProvincia){
	if(codigoProvincia == "20" || codigoProvincia == "48" || codigoProvincia == "01"){
		$(".y42b-NoraDireccionEuskadi").css("display", "block");
		$(".y42b-NoraDireccionOtras").css("display", "none");
		$("#y42bEstMantenimienBotonCP").css("display", "inline");
	}else{
		$(".y42b-NoraDireccionEuskadi").css("display", "none");
		$(".y42b-NoraDireccionOtras").css("display", "block");
		$("#y42bEstMantenimienBotonCP").css("display", "none");	
	}
}

//Combo Portal
function y42bFuncCargarComboPortalCon(pLocalidadId, pCalleId){
	y42bResetearComboPortal();
	y42bPintarComboPortalCon(pLocalidadId, pCalleId);
}

function y42bPintarComboPortalVacio(){
	y42bResetearComboPortal();
	$("#y42bEntidadComboPortal").rup_combo({
		blank : "0",
		width: "250",
		source : []
	});
}

function y42bResetearComboPortal(){
	$("#y42bEntidadComboPortal-button").remove();
	$("#y42bEntidadComboPortal-menu").remove();
	$('<select id="y42bEntidadComboPortal" name="portalId"></select>').replaceAll("#y42bEntidadComboPortal");
}

function y42bPintarComboPortalCon(pLocalidadId, pCalleId){
	y42bResetearComboPortal();
	$("#y42bEntidadComboPortal").rup_combo({ 
		source : "/y42bVistaWar/nora/portales?localidadId="+pLocalidadId+"&calleId="+ pCalleId  + "&R01HNoPortal=true",
		blank : "",
		ordered: false,
		sourceParam : {	label : "portal", value : "id"},
		select:function(){
			
			y42bEntidadBuscarCodigoPostal($("#y42bEntidadComboPortal").val());
		},
		width:"250"
	});
}

function loadEntidadSession(){
	var tree = $("#tree_ajaxlive").dynatree("getTree");
	var nodeActive = tree.getActiveNode();
	var nodeActiveHidden=$("#nodeSelected").val();
	var url="/y42bVistaWar/entidad/node?nodeId=" + escape(nodeActiveHidden);
	$('#tab_entidad').load(url);
}

function y42bEntidadBuscarCodigoPostal(portalId){
	if(portalId != ""){
		$.ajax({
			type : "GET",
			url : "/y42bVistaWar/nora/codigo_postal/" + portalId + "?R01HNoPortal=true",
			dataType : "json",
			error : function(jqXHR, textStatus, errorThrown) {
			},
			success : function(data, textStatus, jqXHR) {
				$("#y42bEntidadComboCP").val(data.codigoPostal);	
			}
		});
	}else{
		$("#y42bEntidadComboCP").val("");
	}
}


//CHECK grupos actuales
$("#y42bEntidadesCheckGruposActuales").click(function (){
	if($("#y42bEntidadesCheckGruposActuales").attr("checked") ==  "checked"){
		$("#y42bEntidadDIVGruposActuales").css("display", "inline"); //mostrar
		$("#y42bEntidadDIVGruposTodos").css("display", "none"); //ocultar
		y42bPintarArbolDetalle();
	}else{
		$("#y42bEntidadDIVGruposActuales").css("display", "none"); //ocultar
		$("#y42bEntidadDIVGruposTodos").css("display", "inline"); //mostrar
	}
});


function y42bPintarArbolDetalle(){
	
	$("#group_treeDetail").dynatree("destroy");
	$("#group_treeDetail").dynatree({
		initAjax: {
			url: "../entidad/groupTreeDetalle",
			data: {entidadId: $("#entidad_entidadId").val(), grupos: $("#entidad_grupos").val()
				  } // Optional arguments to append to the url
		},
		autoFocus: false,
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: y42bVar_BoolChecks, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			//$("#grupoIdList").val(keyList);
		},
		onCreate:function(dtnode) {
			dtnode.data.unselectable = true;
		},
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "group_list_dynatree",
		idPrefix: "group_list_dynatree"
	});
}


function y42bEntidadesSoloConsulta(){ // perfil modificacion y solo consulta
	$("#bt_nuevo_contacto").hide();
	$("#entidad_nombreEs").attr("readonly", "readonly");
	$("#entidad_nombreEs").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#entidad_nombreEu").attr("readonly", "readonly");
	$("#entidad_nombreEu").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#ch1").attr("disabled", "disabled");
	$("#ch2").attr("disabled", "disabled");
	$("#ch3").attr("disabled", "disabled");
	$("#ch4").attr("disabled", "disabled");
	$("#entidad_activa").attr("disabled", "disabled");
	$("#entidad_noactiva").attr("disabled", "disabled");
	$("#entidad_observaciones").attr("readonly", "readonly");
	$("#entidad_observaciones").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#etiquetas").attr("readonly", "readonly");
	$("#etiquetas").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#entidades_bt_editar_etiquetas").hide();
	$("#entidad_codOrg").attr("readonly", "readonly");
	$("#entidad_codOrg").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#entidades_bt_generar_codOrg").hide();
	$("#y42bEntidades_ComboTipoOrganismo-menu").remove();
	$("#y42bEntidades_ComboAmbitoGeografico-menu").remove();
	$("#bt_eliminar_entidad").hide();
	$("#entidad_usuario").attr("readonly", "readonly");
	$("#entidad_usuario").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#entidad_password").attr("readonly", "readonly");
	$("#entidad_password").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#y42bVistaWar_menu-2").hide();



	
	
}

function y42bEntidadesSoloConsultaEstricto(){ // perfil solo consulta 
	$("#y42bEntidades_Cif").attr("readonly", "readonly");
	$("#y42bEntidades_Cif").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#y42bEntidadEstado").attr("disabled", "disabled");
	$("#y42bEntidadExtranjero").attr("disabled", "disabled");
	$("#y42bEntidadComboCP").attr("readonly", "readonly");
	$("#y42bEntidadComboCP").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#y42bEntidadComboProvincia-menu").remove();
	$("#y42bEntidadComboMunicipio-menu").remove();
	$("#y42bEntidadComboLocalidad-menu").remove();
	$("#y42bEntidadCalleLupa").hide();
	$("#y42bEntidadCallePapelera").hide();
	$("#y42bEntidadComboPortal-menu").remove();
	$("#y42bEntidadPiso").attr("readonly", "readonly");
	$("#y42bEntidadPiso").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});

	$("#y42bEntidadExtComboCP").attr("readonly", "readonly");
	$("#y42bEntidadExtComboCP").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#y42bEntidadComboPais-menu").remove();
	$("#y42bEntidadDireccionExtranjero").attr("readonly", "readonly");
	$("#y42bEntidadDireccionExtranjero").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#etiquetas").attr("readonly", "readonly");
	$("#etiquetas").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	
	$("#bt_guardar_entidad").hide();
	
	
}


function y42bPintarArbolTodos(){
	
	$("#group_tree").dynatree("destroy");
	$("#group_tree").dynatree({
		
		initAjax: {
			url: "../entidad/groupTree",
			data: {entidadId: $("#entidad_entidadId").val(), grupos: $("#entidad_grupos").val()
					} // Optional arguments to append to the url
		},
		autoFocus: false,
	//	activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: y42bVar_BoolChecks, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
	//		var entidad_id=$("#entidad_entidadId").val();
			
			$("#entidad_grupos").val(keyList);
	
	//		if (entidad_id!="0"){
	//			saveNodeGrupos(select, node);
	//		}
		},
		onPostInit: function(isReloading, isError) {
	
			//contrae el arbol completo desde el root
			$("#group_tree").dynatree("getRoot").visit(function(node){
				node.expand(false);
			});
			
			//expande los padres del seleccionado/s
			$.map(this.getSelectedNodes(), function(node){
			 	if (node.data.key !='ROOT'){
			 		node.makeVisible();
			 	}
			});
		},
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "group_list_dynatree",
		idPrefix: "group_list_dynatree"
	});
}

function generarUsuarioPassword(){
	$("#entidad_usuario").val(randomString(6));
	$("#entidad_password").val(randomString(6));
}
